{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des articles de la FAQ pour mon entité" %}

{% block pageActions %}
    <br>

    {{ macro.dissocierMultipleButtonModal(
        'btn_dissociation',
        'Dissocier un ou plusieurs article(s) de l\'entité',
        'app_article_dissociation_multiple',
        'Voulez-vous vraiment dissocier les différents article(s) de l\'entité ?',
        articles.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Libelle</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for article in articles %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in article.organisations)  %}
                            {% set dissociation = 'false' %}
                        {% else %}
                            {% set dissociation = 'true' %}
                        {% endif %}

                        <input id='checkbox-{{ article.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ article.id }}"
                               data-dissociation="{{ dissociation }}">
                    </th>

                    <th>
                        {{ article.name }}
                    </th>

                    <th>
                        {{ macro.showButton('app_article_show', article.id) }}

                        {% for organisation in article.organisations %}
                            {% if (app.user.currentOrganisation == organisation or is_granted('ROLE_SUPERADMIN')) %}
                                {{ macro.dissocierButtonModal(
                                    article.id,
                                    'Dissociation du type d\'annexe de l\'entité',
                                    'app_article_dissociation',
                                    'Voulez-vous vraiment dissocier ce type d\'annexe ?',
                                    articles.currentPageNumber
                                ) }}
                            {% endif %}
                        {% endfor %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(articles) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
